﻿Namespace CustomGenericType
    Structure Point(Of T)
        Private mX As T
        Private mY As T

        Public Sub New(x As T, y As T)
            Me.X = x
            Me.Y = y
        End Sub

        Public Property X() As T
            Get
                Return mX
            End Get
            Set(ByVal value As T)
                mX = value
            End Set
        End Property

        Public Property Y() As T
            Get
                Return mY
            End Get
            Set(ByVal value As T)
                mY = value
            End Set
        End Property

        Public Sub Print()
            Console.WriteLine("({0}, {1})", X, Y)
        End Sub
    End Structure
End Namespace
